depends = ('ITKPyBase', 'ITKStatistics', 'ITKImageGrid', 'ITKConnectedComponents', )
templates = (
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVISS2SSFF', True, 'itk::VectorImage< signed short,2 >, signed short, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVISS2UCFF', True, 'itk::VectorImage< signed short,2 >, unsigned char, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVISS2USFF', True, 'itk::VectorImage< signed short,2 >, unsigned short, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIUC2SSFF', True, 'itk::VectorImage< unsigned char,2 >, signed short, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIUC2UCFF', True, 'itk::VectorImage< unsigned char,2 >, unsigned char, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIUC2USFF', True, 'itk::VectorImage< unsigned char,2 >, unsigned short, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIUS2SSFF', True, 'itk::VectorImage< unsigned short,2 >, signed short, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIUS2UCFF', True, 'itk::VectorImage< unsigned short,2 >, unsigned char, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIUS2USFF', True, 'itk::VectorImage< unsigned short,2 >, unsigned short, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIF2SSFF', True, 'itk::VectorImage< float,2 >, signed short, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIF2UCFF', True, 'itk::VectorImage< float,2 >, unsigned char, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIF2USFF', True, 'itk::VectorImage< float,2 >, unsigned short, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVISS3SSFF', True, 'itk::VectorImage< signed short,3 >, signed short, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVISS3UCFF', True, 'itk::VectorImage< signed short,3 >, unsigned char, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVISS3USFF', True, 'itk::VectorImage< signed short,3 >, unsigned short, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIUC3SSFF', True, 'itk::VectorImage< unsigned char,3 >, signed short, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIUC3UCFF', True, 'itk::VectorImage< unsigned char,3 >, unsigned char, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIUC3USFF', True, 'itk::VectorImage< unsigned char,3 >, unsigned short, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIUS3SSFF', True, 'itk::VectorImage< unsigned short,3 >, signed short, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIUS3UCFF', True, 'itk::VectorImage< unsigned short,3 >, unsigned char, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIUS3USFF', True, 'itk::VectorImage< unsigned short,3 >, unsigned short, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIF3SSFF', True, 'itk::VectorImage< float,3 >, signed short, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIF3UCFF', True, 'itk::VectorImage< float,3 >, unsigned char, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIF3USFF', True, 'itk::VectorImage< float,3 >, unsigned short, float, float'),
  ('BayesianClassifierInitializationImageFilter', 'itk::BayesianClassifierInitializationImageFilter', 'itkBayesianClassifierInitializationImageFilterISS2F', True, 'itk::Image< signed short,2 >, float'),
  ('BayesianClassifierInitializationImageFilter', 'itk::BayesianClassifierInitializationImageFilter', 'itkBayesianClassifierInitializationImageFilterIUC2F', True, 'itk::Image< unsigned char,2 >, float'),
  ('BayesianClassifierInitializationImageFilter', 'itk::BayesianClassifierInitializationImageFilter', 'itkBayesianClassifierInitializationImageFilterIUS2F', True, 'itk::Image< unsigned short,2 >, float'),
  ('BayesianClassifierInitializationImageFilter', 'itk::BayesianClassifierInitializationImageFilter', 'itkBayesianClassifierInitializationImageFilterIF2F', True, 'itk::Image< float,2 >, float'),
  ('BayesianClassifierInitializationImageFilter', 'itk::BayesianClassifierInitializationImageFilter', 'itkBayesianClassifierInitializationImageFilterISS3F', True, 'itk::Image< signed short,3 >, float'),
  ('BayesianClassifierInitializationImageFilter', 'itk::BayesianClassifierInitializationImageFilter', 'itkBayesianClassifierInitializationImageFilterIUC3F', True, 'itk::Image< unsigned char,3 >, float'),
  ('BayesianClassifierInitializationImageFilter', 'itk::BayesianClassifierInitializationImageFilter', 'itkBayesianClassifierInitializationImageFilterIUS3F', True, 'itk::Image< unsigned short,3 >, float'),
  ('BayesianClassifierInitializationImageFilter', 'itk::BayesianClassifierInitializationImageFilter', 'itkBayesianClassifierInitializationImageFilterIF3F', True, 'itk::Image< float,3 >, float'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterISS2IUC2', True, 'itk::Image< signed short,2 >, itk::Image< unsigned char,2 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterISS3IUC3', True, 'itk::Image< signed short,3 >, itk::Image< unsigned char,3 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterISS2IUS2', True, 'itk::Image< signed short,2 >, itk::Image< unsigned short,2 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterISS3IUS3', True, 'itk::Image< signed short,3 >, itk::Image< unsigned short,3 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterIUC2ISS2', True, 'itk::Image< unsigned char,2 >, itk::Image< signed short,2 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterIUC3ISS3', True, 'itk::Image< unsigned char,3 >, itk::Image< signed short,3 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterIUC2IUS2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterIUC3IUS3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterIUS2ISS2', True, 'itk::Image< unsigned short,2 >, itk::Image< signed short,2 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterIUS3ISS3', True, 'itk::Image< unsigned short,3 >, itk::Image< signed short,3 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterIUS2IUC2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterIUS3IUC3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterIUS2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterIUS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterIF2ISS2', True, 'itk::Image< float,2 >, itk::Image< signed short,2 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterIF3ISS3', True, 'itk::Image< float,3 >, itk::Image< signed short,3 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterIF2IUC2', True, 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterIF3IUC3', True, 'itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterIF2IUS2', True, 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterIF3IUS3', True, 'itk::Image< float,3 >, itk::Image< unsigned short,3 >'),
)
snake_case_functions = ('scalar_image_kmeans_image_filter', 'bayesian_classifier_initialization_image_filter', 'bayesian_classifier_image_filter', )
