depends = ('ITKPyBase', 'ITKStatistics', 'ITKImageSources', 'ITKImageGrid', 'ITKCommon', )
templates = (
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterISS2IUL2', True, 'itk::Image< signed short,2 >, itk::Image< unsigned long,2 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterISS3IUL3', True, 'itk::Image< signed short,3 >, itk::Image< unsigned long,3 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterISS2IUS2', True, 'itk::Image< signed short,2 >, itk::Image< unsigned short,2 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterISS3IUS3', True, 'itk::Image< signed short,3 >, itk::Image< unsigned short,3 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterIUC2IUL2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned long,2 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterIUC3IUL3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned long,3 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterIUC2IUS2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterIUC3IUS3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterIUS2IUL2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned long,2 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterIUS3IUL3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned long,3 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterIUS2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterIUS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterIF2IUL2', True, 'itk::Image< float,2 >, itk::Image< unsigned long,2 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterIF3IUL3', True, 'itk::Image< float,3 >, itk::Image< unsigned long,3 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterIF2IUS2', True, 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterIF3IUS3', True, 'itk::Image< float,3 >, itk::Image< unsigned short,3 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterVISS2IUL2', True, 'itk::VectorImage< signed short,2 >,itk::Image< unsigned long,2 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterVISS2IUS2', True, 'itk::VectorImage< signed short,2 >,itk::Image< unsigned short,2 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterVIUC2IUL2', True, 'itk::VectorImage< unsigned char,2 >,itk::Image< unsigned long,2 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterVIUC2IUS2', True, 'itk::VectorImage< unsigned char,2 >,itk::Image< unsigned short,2 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterVIUS2IUL2', True, 'itk::VectorImage< unsigned short,2 >,itk::Image< unsigned long,2 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterVIUS2IUS2', True, 'itk::VectorImage< unsigned short,2 >,itk::Image< unsigned short,2 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterVIF2IUL2', True, 'itk::VectorImage< float,2 >,itk::Image< unsigned long,2 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterVIF2IUS2', True, 'itk::VectorImage< float,2 >,itk::Image< unsigned short,2 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterVISS3IUL3', True, 'itk::VectorImage< signed short,3 >,itk::Image< unsigned long,3 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterVISS3IUS3', True, 'itk::VectorImage< signed short,3 >,itk::Image< unsigned short,3 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterVIUC3IUL3', True, 'itk::VectorImage< unsigned char,3 >,itk::Image< unsigned long,3 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterVIUC3IUS3', True, 'itk::VectorImage< unsigned char,3 >,itk::Image< unsigned short,3 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterVIUS3IUL3', True, 'itk::VectorImage< unsigned short,3 >,itk::Image< unsigned long,3 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterVIUS3IUS3', True, 'itk::VectorImage< unsigned short,3 >,itk::Image< unsigned short,3 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterVIF3IUL3', True, 'itk::VectorImage< float,3 >,itk::Image< unsigned long,3 >'),
  ('SLICImageFilter', 'itk::SLICImageFilter', 'itkSLICImageFilterVIF3IUS3', True, 'itk::VectorImage< float,3 >,itk::Image< unsigned short,3 >'),
)
snake_case_functions = ('image_to_image_filter', 'slic_image_filter', )
